[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TComponent.SetSubComponent

Sets the csSubComponent style.

## Declaration

Source position: classesh.inc line 1749

`public procedure TComponent.SetSubComponent(`
`ASubComponent: Boolean`
`);`

## Description

SetSubComponent includes csSubComponent in the ComponentStyle property if ASubComponent is True, and excludes it again if ASubComponent is False.

## See also

TComponent.ComponentStyle |  | Current component's style.

Documentation generated on: Feb 26 2014